%global pkgname  cvec

Name:           gap-pkg-%{pkgname}
Version:        2.7.1
Release:        1%{?dist}
Summary:        Compact vectors over finite fields

License:        GPLv2+
URL:            https://gap-packages.github.io/cvec/
Source0:        https://github.com/gap-packages/cvec/releases/download/v%{version}/%{pkgname}-%{version}.tar.bz2

BuildRequires:  gap-devel
BuildRequires:  gap-pkg-autodoc
BuildRequires:  gap-pkg-io-doc
BuildRequires:  gap-pkg-orb-doc

Requires:       gap-pkg-io%{?_isa}
Requires:       gap-pkg-orb%{?_isa}

%description
The CVEC package provides an implementation of compact vectors over
finite fields.  Contrary to earlier implementations no table lookups are
used but only word-based processor arithmetic.  This allows for bigger
finite fields and higher speed.

%package doc
Summary:        CVEC documentation
BuildArch:      noarch
Requires:       %{name} = %{version}-%{release}
Requires:       gap-pkg-io-doc
Requires:       gap-pkg-orb-doc

%description doc
This package contains documentation for gap-pkg-%{pkgname}.

%prep
%autosetup -n %{pkgname}-%{version}

%build
%configure --with-gaproot=%{_gap_dir} --disable-silent-rules

# Get rid of undesirable hardcoded rpaths
sed -e 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' \
    -e 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' \
    -i libtool

%make_build

# Build the documentation
gap -l "$PWD/..;%{_gap_dir}" makedoc.g

%install
mkdir -p %{buildroot}%{_gap_dir}/pkg/%{pkgname}-%{version}
cp -a bin doc example gap local test tst *.g \
   %{buildroot}%{_gap_dir}/pkg/%{pkgname}-%{version}
rm -f %{buildroot}%{_gap_dir}/pkg/%{pkgname}-%{version}/doc/clean
rm -f %{buildroot}%{_gap_dir}/pkg/%{pkgname}-%{version}/doc/*.{aux,bbl,blg,brf,idx,ilg,ind,log,out,pnr,tex}

%check
export LC_ALL=C.UTF-8

# Skip the babymonster test, which requires downloading data from the AtlasRep
# library.  Koji builders have no network access.
rm -f %{buildroot}%{_gap_dir}/pkg/%{pkgname}-%{version}/tst/babymonster.tst
gap -l "%{buildroot}%{_gap_dir};%{_gap_dir}" < tst/testall.g
cp -p tst/babymonster.tst %{buildroot}%{_gap_dir}/pkg/%{pkgname}-%{version}/tst

%files
%doc BUGS CHANGES README.md TIMINGS TODO
%license LICENSE
%{_gap_dir}/pkg/%{pkgname}-%{version}/
%exclude %{_gap_dir}/pkg/%{pkgname}-%{version}/doc/
%exclude %{_gap_dir}/pkg/%{pkgname}-%{version}/example/

%files doc
%docdir %{_gap_dir}/pkg/%{pkgname}-%{version}/doc/
%docdir %{_gap_dir}/pkg/%{pkgname}-%{version}/example/
%{_gap_dir}/pkg/%{pkgname}-%{version}/doc/
%{_gap_dir}/pkg/%{pkgname}-%{version}/example/

%changelog
* Mon Mar  4 2019 Jerry James <loganjerry@gmail.com> - 2.7.1-1
- New upstream version

* Wed Feb 20 2019 Jerry James <loganjerry@gmail.com> - 2.7.0-1
- New upstream version

* Tue Dec 18 2018 Jason L Tibbitts III <tibbs@math.uh.edu> - 2.6.1-1
- Initial package.
